Name:           emacs-ecb
Version:        2.40.1
Release:        0.4.cvs20101021%{?dist}
Summary:        Emacs Code Browser allows easy source code navigation and overview
Group:          Applications/Editors
License:        GPLv2+
URL:            http://ecb.sourceforge.net/
# Can be recreated by:
# cvs -z3 -d:pserver:anonymous@ecb.cvs.sourceforge.net:/cvsroot/ecb co  -D 2010-10-21 -P ecb
# tar cJvf ecb-cvs20101021.tar.xz --exclude-vcs ecb
Source0:        ecb-cvs20101021.tar.xz
#Source0:        http://downloads.sourceforge.net/ecb/ecb-%%{version}.tar.gz
Patch0:         emacs-ecb-requires.patch
BuildArch:      noarch
BuildRequires:  emacs emacs-el texinfo
Requires:       emacs(bin) >= %{_emacs_version}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
ECB stands for "Emacs Code Browser". It displays a number of
informational windows that allow for easy source code navigation and
overview.

The informational windows can contain:
  * a directory tree
  * a list of source files in the current directory
  * a list of functions/classes/methods in the current file
  * a history of recently visited files
  * a direct and auto-updated ecb-window for the semantic-analyzer
  * the Speedbar
  * output from compilation and other modes like help, grep etc. or
    whatever a user defines to be displayed in this window

This package contains the files for the GNU Emacs package.  If you
want XEmacs ECB package, you need to install xemacs-packages-extra.

%package el
Summary:        Elisp source files for ECB for GNU Emacs
Group:          Applications/Editors
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the elisp source files for ECB under GNU
Emacs. You do not need to install this package to run ECB. Install the
%{name} package to use ECB with GNU Emacs.

%prep
%setup -q -n ecb
%patch0 -p1 -b .requires

%build
# Convert files to utf-8
for file in NEWS ecb.texi; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

make CEDET="" %{?_smp_mflags}
make online-help

%install
mkdir -p %{buildroot}/%{_emacs_sitelispdir}/ecb
install -m 644 *.el{,c} %{buildroot}/%{_emacs_sitelispdir}/ecb

# Install images
for f in `find ecb-images -iname *.xpm`; do
  install -D -m 644 $f %{buildroot}/%{_emacs_sitelispdir}/ecb/$f
done

# Install infopages
mkdir -p %{buildroot}%{_infodir}
install -m 644 info-help/ecb.info %{buildroot}%{_infodir}
install -m 644 info-help/ecb.info-1 %{buildroot}%{_infodir}
install -m 644 info-help/ecb.info-2 %{buildroot}%{_infodir}
install -m 644 info-help/ecb.info-3 %{buildroot}%{_infodir}

mkdir -p %{buildroot}%{_emacs_sitestartdir}
cat > %{buildroot}%{_emacs_sitestartdir}/ecb.el << EOF
;; Load Emacs Code Browser.
(add-to-list 'load-path "%{_emacs_sitelispdir}/ecb")
(require 'ecb)
EOF

%post
/sbin/install-info %{_infodir}/ecb.info %{_infodir}/dir 2> /dev/null || :

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/ecb.info %{_infodir}/dir 2> /dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc NEWS README RELEASE_NOTES
%doc %{_infodir}/*.info*
%{_emacs_sitestartdir}/*.el
%dir %{_emacs_sitelispdir}/ecb
%{_emacs_sitelispdir}/ecb/*.elc
%{_emacs_sitelispdir}/ecb/ecb-images

%files el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/ecb/*.el


%changelog
* Mon Mar 28 2011 Karel Klic <kklic@redhat.com> - 2.40.1-0.4.cvs20101021
- Fixed version tag (2.40 -> 2.40.1)
- Fixed typo in macro _emacs_version
- Removed `rm -rf %%{buildroot}` from %%install section
- Converted NEWS and ecb.texi to UTF-8
- Added emacs-ecb-requires.patch to properly include semantic in
  ecb-semantic-wrapper.el

* Mon Jan 24 2011 Karel Klic <kklic@redhat.com> - 2.40.1-0.3.cvs20101021
- Removed BuildRoot tag
- Used mkdir, install instead of %%{__mkdir_p}, %%{__install}
- Do not install docs into build root
- Removed %%clean section
- Replaced local %%{emacs_*} macros with global ones
- Improved description

* Fri Nov 19 2010 Karel Klic <kklic@redhat.com> - 2.40.1-0.2.cvs20101021
- Added texinfo to build requirements

* Thu Oct 21 2010 Karel Klic <kklic@redhat.com> - 2.40.1-0.1.cvs20101021
- Update to CVS checkout compatible with Emacs 23.2

* Tue Feb  2 2010 Karel klic <kklic@redhat.com> - 2.40-2
- Used %%global instead of %%define
- Added %%{?_smp_mflags} to make call

* Mon Nov  3 2009 Karel Klic <kklic@redhat.com> - 2.40-1
- Initial packaging.
